%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(Benchmark.pm) perl(CPAN.pm) perl(Carp.pm) perl(Carp/Always.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(DateTime/TimeZone/OlsonDB.pm) perl(Env/C.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Compare.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Find/Rule.pm) perl(File/ShareDir.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Lingua/EN/Inflect.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Locale/Country.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(SelfLoader.pm) perl(Socket.pm) perl(Storable.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(XML/LibXML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(blib.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define module_version 0.00004
%define module_name DateTimeX-Lite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00004
Release: alt1
Summary: A Low Calorie DateTime
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a lightweight version of DateTime.pm, which requires no XS, and aims to be light(er) than the original, for a given subset of the problems that the original DateTime.pm can solve.

The idea is to encourage light users to use DateTime compatible API, while adapting to realistic environments (such as people without access to C compilers, people on rental servers who can't install modules, people who needs to convince pointy-haired bosses that they're not sacrificing performance), so later when they find engineering freedom, they can switch back to the more reliable DateTime.pm.

Please make no mistake: THIS IS NOT A REPLACEMENT FOR Datetime.pm. I will try to keep up with DateTime.pm, but DateTime.pm is the referece implementation. This is just stripped down version.

Please also note that internally, this module is a complete rip-off of the original DateTime.pm module. The author simply copied and pasted about 90%% of the code, tweaked it and repackaged it. All credits go to the original DateTime.pm's authors.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.00004-alt1
- initial import by package builder

